Skip to main content
PATCH
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

tier_id
string<uuid>
required

Body

application/json

Update tier request.

display_name
string | null
Required string length: 1 - 255
max_concurrent_workflows
integer | null
max_action_executions_per_workflow
integer | null
max_concurrent_actions
integer | null
api_rate_limit
integer | null
api_burst_capacity
integer | null
entitlements
EntitlementsDict · object | null

TypedDict for tier entitlements stored in JSONB.

All keys are optional (total=False) to support partial overrides.

is_default
boolean | null
sort_order
integer | null
is_active
boolean | null

Response

Successful Response

Tier response schema.

id
string<uuid>
required
display_name
string
required
max_concurrent_workflows
integer | null
required
max_action_executions_per_workflow
integer | null
required
max_concurrent_actions
integer | null
required
api_rate_limit
integer | null
required
api_burst_capacity
integer | null
required
entitlements
EntitlementsDict · object
required

TypedDict for tier entitlements stored in JSONB.

All keys are optional (total=False) to support partial overrides.

is_default
boolean
required
sort_order
integer
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required